#include <kbfx.h>
#include <qdir.h>
#include <qimage.h>
void kbfx::readConfig()

{
	 path = QDir::homeDirPath()+QString("/.kbfx/");
         config = path + QString("config");
	 QDir dir = QDir::home();
	 ksConfig  = new KSimpleConfig(config);	
	 
	if(!dir.exists(config))
	{
		dir.mkdir(".kbfx");
		firstload = true;
	 skin = ksConfig->readEntry("default_skin",NULL);
	 skin_pressed = ksConfig->readEntry("pressed_skin",NULL);
	 skin_hover = ksConfig->readEntry("hover_skin",NULL);
	 fx_on = ksConfig->readBoolEntry("fx_on","on");
         tooltip  = ksConfig->readEntry("tooltip","Click Here to start");
         kicker_auto_ajust = ksConfig->readBoolEntry("kicker_auto_ajust","on");
	 theme             = ksConfig->readEntry("kbfxbar_theme",NULL);

	}
	
	else
	{

	 skin = ksConfig->readEntry("default_skin",NULL);
	 skin_pressed = ksConfig->readEntry("pressed_skin",NULL);
	 skin_hover = ksConfig->readEntry("hover_skin",NULL);
	 fx_on = ksConfig->readBoolEntry("fx_on","on");
         tooltip  = ksConfig->readEntry("tooltip","Click Here to start");
	 kicker_auto_ajust = ksConfig->readBoolEntry("kicker_auto_ajust","on");
	 theme             = ksConfig->readEntry("kbfxbar_theme",NULL);
	}


}

void kbfx::saveConfig()
{

	ksConfig->reparseConfiguration();	
	theme = ksConfig->readEntry("kbfxbar_theme",NULL);
	
	if(dropedSkin.isNull())
	ksConfig->writeEntry("default_skin",skin);
	else
	ksConfig->writeEntry("default_skin",dropedSkin);

	if(skin_pressed.isNull())
	ksConfig->writeEntry("pressed_skin",skin);
	else
	ksConfig->writeEntry("pressed_skin",skin_pressed);

	if(skin_hover.isNull())
	ksConfig->writeEntry("hover_skin",skin);
	else
	ksConfig->writeEntry("hover_skin",skin_hover);

	ksConfig->writeEntry("fx_on",fx_on);

    	ksConfig->writeEntry("tooltip",tooltip);
    	ksConfig->writeEntry("kicker_auto_ajust",kicker_auto_ajust);
		
	
/* a temp fix  to detect the changes during runtime of theme , till we have the config*/


	 ksConfig->writeEntry("kbfxbar_theme",theme);




	ksConfig->sync();
}
